import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A class to display a frame with stuff in it.
 * In this version, the ActionListener is an instance of an anonymous
 * inner class.
 * 
 * @author Steve Bloch 
 * @version v3d oct. 12
 */
public class GraphicTestbed 
{
    private int counter = 0;
    
    public GraphicTestbed() {
        final int WIDTH = 300;
        final int HEIGHT = 200;
        JFrame frame = new JFrame();
        
        frame.setSize(WIDTH, HEIGHT);
        frame.setTitle("Dumb example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // frame.setLayout (new FlowLayout());
        
        
        JButton myButton = new JButton("Next");
        frame.add(myButton);
        myButton.addActionListener (new ActionListener()
            {
               public void actionPerformed (ActionEvent e)
                {
                    System.out.println ("Counter = " + GraphicTestbed.this.getCounter());
                    GraphicTestbed.this.incrementCounter();
                }
            }
        );

        frame.setVisible(true);
    }
    
    public static void display ()
    {
        new GraphicTestbed();
    }
 
    
    private int getCounter () {
        return this.counter;
    }
    
    private void incrementCounter () {
        ++this.counter;
    }
}
